Get information about a specific service
GET
/system/dashboard/services/{unit}
const url = 'https://example.com/api/v1/system/dashboard/services/example';const options = {method: 'GET', headers: {cookie: 'grommunioAuthJwt=<grommunioAuthJwt>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/system/dashboard/services/example \ --cookie grommunioAuthJwt=<grommunioAuthJwt>Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”unit
required
string
Name of the unit to signal
Responses
Section titled “Responses”Information about service returned
Media typeapplication/json
object
state
string
substate
string
description
string
autostart
State of the unit file
string
since
Date string with time
string
name
Name of the service
string
unit
Name of the systemd unit. Required for action endpoints.
string
Examplegenerated
{ "state": "example", "substate": "example", "description": "example", "autostart": "example", "since": "example", "name": "example", "unit": "example"}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}